#!/bin/bash
##每天向date_table插入当天的日期数据
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into date_table SELECT current_date(),pmod(datediff(current_date(),'2018-01-01') + 1,7),substr(current_date(),1,7),substr(current_date(),1,4)"
##交通信用激活人数（两部分，一部分是昨日新申领驾照的，另一部分是注册APP的，需要去重：昨日新申领驾照的+昨日注册app中没有驾照的,app注册用户直接写入hdfs）
##昨日新申领驾照的
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table activate_credit_day select  sfzmhm,cclzrq,to_date(cclzrq),SUBSTR(cclzrq,1,7)  from  drivinglicense_gy_day_removal"
##昨日app注册的用户（去除申领了驾照的）
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into activate_credit_day  select a.* from app_activate_credit a 
left outer join drivinglicense_gy_all b on a.id_card = b.sfzmhm and a.day = date_add(current_date,-1) where b.sfzmhm is null" 

/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert into activate_credit_all partition(month) select * from  activate_credit_day" -hiveconf hive.exec.dynamic.partition.mode=nonstrict --hiveconf hive.exec.dynamic.partition=true --hiveconf hive.exec.max.dynamic.partitions=36600 --hiveconf hive.exec.max.dynamic.partitions.pernode=36600

##交通信用激活人数统计计全表
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table credit_activate_stat 
select sum(b.num),max(a.num), a.day,current_timestamp from 
 (select day,count(1) as num  from activate_credit_all group by day) a 
 inner join 
 (select day,count(day) as num from activate_credit_all group by day) b 
 on 1=1 
 where a.day>=b.day 
 group by a.day 
 order by a.day desc"
##统计全表日期补全
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table credit_activate_stat select sum(d.add_driver),max(c.add_driver),c.day,current_timestamp from
(select case when b.date_time  is null then 0 else b.add_driver end as add_driver,
a.date_time as day from date_table a left outer join credit_activate_stat b on  a.date_time=b.date_time) c
inner join 
(select case when b.date_time  is null then 0 else b.add_driver end as add_driver,
a.date_time as day from date_table a left outer join credit_activate_stat b on  a.date_time=b.date_time) d
on 1=1 where c.day>=d.day group by c.day order by c.day desc"
##全表数据抽出天表数据
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table credit_activate_stat_day select * from credit_activate_stat where date_time=date_add(current_date,-1)"
