#!/bin/bash
##信用数据总计表插入数据
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table credit_total
select 
 i.date_time  as date_time,
case when i.total_driver_hb is null then 0.00 else i.total_driver_hb end as total_driver_hb,
case when j.total_driver_tb is null then 0.00 else j.total_driver_tb end as total_driver_tb,
 i.total_driver as total_driver,
case when i.add_driver is null then 0 else i.add_driver end as add_driver,
case when j.add_driver_tb is null then 0.00 else j.add_driver_tb end as add_driver_tb,
case when i.add_driver_hb is null then 0.00 else i.add_driver_hb end as add_driver_hb,
case when k.add_blacklist is null then 0 else k.add_blacklist end as add_blacklist,
case when k.add_blacklist_hb is null then 0.00 else k.add_blacklist_hb end as add_blacklist_hb,
case when l.add_blacklist_tb is null then 0.00 else l.add_blacklist_tb end as add_blacklist_tb,
current_timestamp 
from
(
select 
	a.date_time as date_time,
	a.total_driver as total_driver,
	a.add_driver as add_driver,
	round((a.total_driver-b.total_driver)/b.total_driver,6)*100 as total_driver_hb,
	round((a.add_driver-b.add_driver)/b.add_driver,6)*100 as add_driver_hb
	from (select *,row_number() over(order by date_time desc ) xh from credit_activate_stat) a 
	inner join (select *,row_number() over(order by date_time desc ) xh from credit_activate_stat) b on a.xh=b.xh-1
) i  left outer join 
(
select 
	c.date_time as date_time,
	round((c.total_driver-d.total_driver)/d.total_driver,6)*100 as total_driver_tb, 
	round((c.add_driver-d.add_driver)/d.add_driver,6)*100 as add_driver_tb
	from credit_activate_stat c inner join credit_activate_stat d on c.date_time=date_add(d.date_time,30)
) j on (i.date_time=j.date_time) left outer join 
(
select 
	e.date_time as date_time,
	e.num as add_blacklist,
	round((e.num-f.num)/f.num,6)*100 as add_blacklist_hb
	from 
	(select SUBSTR(startTime,1,10) as date_time,count(1) as num from blacklist_total where sfhmd=1  group by SUBSTR(startTime,1,10) ) e 
	inner join 
	(select SUBSTR(startTime,1,10) as date_time,count(1) as num from blacklist_total where sfhmd=1 group by SUBSTR(startTime,1,10)) f
on e.date_time = date_add(f.date_time,1)
) k on (j.date_time=k.date_time) left outer join 
(
select 
g.date_time as date_time,
round((g.num-h.num)/h.num,6)*100 as add_blacklist_tb
from 
(select SUBSTR(startTime,1,10) as date_time,count(1) as num from blacklist_total where sfhmd=1  group by SUBSTR(startTime,1,10)) g 
inner join 
(select SUBSTR(startTime,1,10) as date_time,count(1) as num from blacklist_total where sfhmd=1  group by SUBSTR(startTime,1,10)) h 
on g.date_time = date_add(h.date_time,30)
) l on (k.date_time=l.date_time) order by date_time desc"
/opt/cloudera/parcels/CDH-5.15.1-1.cdh5.15.1.p0.4/bin/hive -e "insert overwrite table credit_total_day select * from credit_total where date_time=date_add(current_date,-1)" 
